Bug 1206057 - tests stuck on s390
Summary: tests stuck on s390
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qemu
Version: 22
Hardware: s390
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora Virtualization Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ZedoraTracker
TreeView+ depends on / blocked
 
Reported: 2015-03-26 08:44 UTC by Dan Horák
Modified: 2015-04-21 18:50 UTC (History)
10 users (show)

Fixed In Version: qemu-2.3.0-0.3.rc2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-21 18:50:36 UTC
Type: Bug


Attachments (Terms of Use)

Description Dan Horák 2015-03-26 08:44:46 UTC
The test suite gets stuck when run on s390 (32 bit), see eg. http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1765835

from build.log:
...
PASS: tests/hd-geo-test
TEST: tests/boot-order-test... (pid=64850)
  /i386/boot-order/pc:                                                 OK
PASS: tests/boot-order-test
TEST: tests/bios-tables-test... (pid=64884)


[root@fedora3 ~]# strace -p 64885
Process 64885 attached
syscall_82(0, 0x56ace29858186778, 0x527fd72bc8, 0x7d558000fd56fad4, 0xfd56fadc7fd72a70, 0x79689a40fd1cc710


the processes are
63403 ?        S      0:01 make check V=1
63679 ?        S      0:00 [kworker/1:2]
64666 ?        Sl     0:00 gtester -k --verbose -m=quick tests/endianness-test tests/fdc-test tests/ide-test tests/ahci-test tests/hd-geo-test tests/boot-order-test tests/bios-tables-test tests/rtc-test tests/i440fx-test tests/fw_cfg-test tests/drive_del-test tests/wdt_ib700-test tests/e1000-test tests/rtl8139-test tests/pcnet-test tests/eepro100-test tests/ne2000-test tests/nvme-test tests/ac97-test tests/es1370-test tests/virtio-net-test tests/virtio-balloon-test tests/virtio-blk-test tests/virtio-rng-test tests/virtio-scsi-test tests/virtio-9p-test tests/virtio-serial-test tests/virtio-console-test tests/tpci200-test tests/ipoctal232-test tests/display-vga-test tests/intel-hda-test tests/vmxnet3-test tests/pvpanic-test tests/i82801b11-test tests/ioh3420-test tests/usb-hcd-ohci-test tests/usb-hcd-uhci-test tests/usb-hcd-ehci-test tests/usb-hcd-xhci-test tests/pc-cpu-test tests/vhost-user-test tests/qom-test
64884 ?        S      0:00 tests/bios-tables-test --quiet --keep-going -m=quick --GTestLogFD=6
64885 ?        Sl     0:11 i386-softmmu/qemu-system-i386 -qtest unix:/tmp/qtest-64884.sock,nowait -qtest-log /dev/null -qmp unix:/tmp/qtest-64884.qmp,nowait -machine accel=qtest -display none -net none -display none -machine accel=tcg -drive id=hd0,if=none,file=tests/acpi-test-disk.raw,format=raw -device ide-hd,drive=hd0

and attaching gdb shows
(gdb) where
#0  0x7d56fae4 in  () at /lib/libpthread.so.0
#1  0x7d4aa86c in g_io_unix_write () at /lib/libglib-2.0.so.0
#2  0x7d45a3f8 in g_io_channel_write_chars () at /lib/libglib-2.0.so.0
#3  0x55d24974 in io_channel_send ()
#4  0x55d24dc0 in tcp_chr_write ()
#5  0x55d2628e in qemu_chr_fe_write ()
#6  0x55c73d74 in monitor_flush_locked.part ()
#7  0x55c73f40 in monitor_puts ()
#8  0x55c73f8e in monitor_json_emitter ()
#9  0x55c749f6 in monitor_qapi_event_emit ()
#10 0x55c74b92 in monitor_qapi_event_queue ()
#11 0x55ee74a8 in qapi_event_send_reset ()
#12 0x55d2d3f6 in qemu_system_reset ()
#13 0x55c3d268 in main ()



Version-Release number of selected component (if applicable):
qemu-2.3.0-0.2.rc1.fc22

Comment 1 Dan Horák 2015-03-26 11:30:33 UTC
hm, next attempt ended with

PASS: tests/hd-geo-test
TEST: tests/boot-order-test... (pid=11187)
  /i386/boot-order/pc:                                                 OK
PASS: tests/boot-order-test
TEST: tests/bios-tables-test... (pid=11221)
  /i386/acpi/piix4/tcg:                                                qemu: fatal: Trying to execute code outside RAM or ROM at 0xf010f502
EAX=000002d2 EBX=00009578 ECX=00000000 EDX=00006a06
ESI=ffffffff EDI=00000000 EBP=000bfffe ESP=0000688e
EIP=f000ffd2 EFL=000000d2 [--SZA--] CPL=0 II=0 A20=1 SMM=0 HLT=0
ES =0030 00000300 ffffffff 00c09300
CS =ff53 000ff530 ffffffff 00c09b00
SS =0030 00000300 ffffffff 00c09300
DS =0030 00000300 ffffffff 00c09300
FS =0030 00000300 ffffffff 00c09300
GS =0030 00000300 ffffffff 00c09300
LDT=0000 00000000 0000ffff 00008200
TR =0000 00000000 0000ffff 00008b00
GDT=     000f6a80 00000037
IDT=     000f6abe 00000000
CR0=00000010 CR2=00000000 CR3=00000000 CR4=00000000
DR0=00000000 DR1=00000000 DR2=00000000 DR3=00000000 
DR6=ffff0ff0 DR7=00000400
CCS=000000d2 CCD=000000dc CCO=INCL    
EFER=0000000000000000
FCW=037f FSW=0000 [ST=0] FTW=00 MXCSR=00001f80
FPR0=0000000000000000 0000 FPR1=0000000000000000 0000
FPR2=0000000000000000 0000 FPR3=0000000000000000 0000
FPR4=0000000000000000 0000 FPR5=0000000000000000 0000
FPR6=0000000000000000 0000 FPR7=0000000000000000 0000
XMM00=00000000000000000000000000000000 XMM01=00000000000000000000000000000000
XMM02=00000000000000000000000000000000 XMM03=00000000000000000000000000000000
XMM04=00000000000000000000000000000000 XMM05=00000000000000000000000000000000
XMM06=00000000000000000000000000000000 XMM07=00000000000000000000000000000000
FAIL
GTester: last random seed: R02Sd9811e46ce630a575c7e9af970a2d674
(pid=11226)


I guess we should just disable the tests on s390 again. The purpose of 32-bit s390 is mainly for building 32-bit compat environment.

Comment 2 Cole Robinson 2015-03-26 13:38:31 UTC
Yeah feel free to just disable the tests if it's blocking your builds

Comment 3 Fedora Update System 2015-04-03 16:30:20 UTC
qemu-2.3.0-0.3.rc2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/qemu-2.3.0-0.3.rc2.fc22

Comment 4 Fedora Update System 2015-04-04 16:32:56 UTC
Package qemu-2.3.0-0.3.rc2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qemu-2.3.0-0.3.rc2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-5541/qemu-2.3.0-0.3.rc2.fc22
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-04-21 18:50:36 UTC
qemu-2.3.0-0.3.rc2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.